<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full section-pt-0">
  <div class="w-full flex justify-end mt-14 px-4">
    <app-role-checker [allowedRoles]="[admin]">
      <ng-template let-authorized>
        <div class="flex flex-col gap-4 items-end justify-end">
          <p-button label="Invite a user" icon="pi pi-plus" (onClick)="inviteUser()" [disabled]="!authorized"></p-button>
          <app-info *ngIf="!authorized" message="Insufficient role to invite a user"></app-info>
        </div>
      </ng-template>
    </app-role-checker>
  </div>
  <p-tabView>
    <p-tabPanel header="Active">
      <app-active></app-active>
    </p-tabPanel>
    <p-tabPanel header="Invitations">
      <app-invitations></app-invitations>
    </p-tabPanel>
  </p-tabView>
</div>
